Skip to main content
WEBHOOK

Authorizations

Authorization
string
header
required

Your API key, sent in the Authorization header: Authorization: YOUR_API_KEY. A Bearer prefix is also accepted (Authorization: Bearer YOUR_API_KEY). Keys are created in the Upwell dashboard (Account → API keys) and are scoped to one organization.

Body

application/json

Details that are sent over to the webhook

id
string
required

The unique identifier for the event.

createdAt
string<date-time>
required

The timestamp when the event was created.

updatedAt
string<date-time>
required

The timestamp when the event was last updated.

status
string
required

The status of the event (e.g., PENDING).

operation
enum<string>
required

The operation type that triggered the event.

Available options:
INSERT,
UPDATE,
DELETE
payload
object
required
scheduledAt
string<date-time> | null

The timestamp when the event is scheduled to be processed.

processedAt
string<date-time> | null

The timestamp when the event was processed.

Response

200

Return a 200 status to indicate that the data was received successfully